<?php
/**
* @author moufer<moufer@163.com>
* @copyright www.modoer.com
*/
!defined('IN_MUDDER') && exit('Access Denied');

if($_rewrite['shop']) {
    $patterns[] = '/<a href="'.$full_url_preg.'shop.php\?shopid=([0-9]+)(#[a-z]+|)"/i';
    $replacement[] = '<a href="'.$full_url.'$1$2"';
    $cr_mod && crMod($full_url_preg,$patterns,$replacement);
}
if($_rewrite['review']) {
    $patterns[] = '/<a href="'.$full_url_preg.'viewreview.php\?reviewid=([0-9]+)(#[a-z]+|)"/i';
    $replacement[] = '<a href="'.$full_url.'viewreview_$1.html$2"';
    $cr_mod && crMod($full_url_preg,$patterns,$replacement);
}
if($_rewrite['tag']) {
    $patterns[] = '/<a href="'.$full_url_preg.'tag.php"/i';
    $replacement[] = '<a href="'.$full_url.'tag.html"';
    $cr_mod && crMod($full_url_preg,$patterns,$replacement);
    $patterns[] = '/<a href="'.$full_url_preg.'tag.php\?tagname=(.*?)"/i';
    $replacement[] = '<a href="'.$full_url.'tag_$1.html"';
    $cr_mod && crMod($full_url_preg,$patterns,$replacement);
}
if($_rewrite['cate']) {
    $patterns[] = '/<a href="'.$full_url_preg.'cate.php\?cd=([0-9]+)"/i';
    $replacement[] = '<a href="'.$full_url.'cate_$1.html"';
    $cr_mod && crMod($full_url_preg,$patterns,$replacement);
    $patterns[] = '/<a href="'.$full_url_preg.'cate.php\?cd=([0-9]+)(&|&amp;)order=([a-z]+)(&|&amp;)page=([0-9]+)"/i';
    $replacement[] = '<a href="'.$full_url.'cate_$1_$3_$5.html"';
    $cr_mod && crMod($full_url_preg,$patterns,$replacement);
}
?>